PI500_VFD(1)

NAME

pi500_vfd - Powtran PI500 Modbus driver

SYNOPSIS
pi500_vfd

PINS

pi500-vfd.N.commanded-frequency float in
    Frequency of vfd

pi500-vfd.N.run bit in
    run the vfd

pi500-vfd.N.enable bit in
    1 to enable the vfd. 0 will remote trip the vfd, thereby disabling it.

pi500-vfd.N.is-running bit out
    1 when running

pi500-vfd.N.is-at-speed bit out
    1 when running at assigned frequency

pi500-vfd.N.is-ready bit out
    1 when vfd is ready to run

pi500-vfd.N.is-alarm bit out
    1 when vfd alarm is set

pi500-vfd.N.motor-current float out
    Output current in amps

pi500-vfd.N.heatsink-temp float out
    Temperature of drive heatsink

pi500-vfd.N.watchdog-out bit out
    Alternates between 1 and 0 after every update cycle. Feed into a watchdog component to ensure vfd driver is communicating with the vfd properly.

PARAMETERS

pi500-vfd.N.mbslaveaddr u32 rw
    Modbus slave address

LICENSE

GPLv2 or greater